BEGIN ~VAMPLORD~

IF ~InParty("CuChoinneach")
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN EXTERN ~CUCHOINJ~ 9
END

IF ~~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN EXTERN ~CLAIRIS~ 5
END

IF ~!InParty("CuChoinneach")
~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN REPLY @3 GOTO 3
END

IF ~~ THEN BEGIN 3
  SAY @4
  IF ~~ THEN EXTERN ~CLAIRIS~ 5
END
